Subject: bug#6687: closed (Re: bug#6687: [24.0.50] end-of-buffer cursor position with an overlay)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 19 Nov 2010 16:34:02 +0000

Your bug report

#6687: [24.0.50] end-of-buffer cursor position with an overlay

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
6687: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=6687
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#6687: [24.0.50] end-of-buffer cursor position with an overlay
From: Eli Zaretskii <[email-masked]>
To: Tetsuo Tsukamoto <[email-masked]>
Cc: [email-masked]
Date: Fri, 19 Nov 2010 18:36:34 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Tetsuo Tsukamoto <[email-masked]>
> Date: Thu, 22 Jul 2010 01:25:46 +0900
> Cc: 
> 
> Invoked Emacs with emacs -Q.  After I moved the point so as to meet
> one of the four conditions mentioned in results, I did the
> following.
> 
> 0) M-: (overlay-put (make-overlay (point) (point)) 'before-string "?")
> 1) Type x.
> 2) Type additional x.
> 
> Results were as follows (cursor position is indicated with [ and ]).
> 
>  initial point position  :        cursor behavior
> (and (eobp) (eolp))      :  0) [?]   1) [?]x   2) ?xx[]
> (and (not (eobp)) (eolp)):  0) [?]   1) ?x[]   2) ?xx[]
> (and (eobp) (not (eolp))):  0) ?[]   1) ?x[]   2) ?xx[]
> (not (or (eobp) (eolp))) :  0) ?[]   1) ?x[]   2) ?xx[]
> 
> Suppose 1st result may not be expected.  2nd result is also
> different from what Emacs 23.2 produces. 3rd and 4th results seem
> OK.

Sorry for such a long delay, but I finally fixed this (in revision
102440).

Thanks for reporting this, and for a detailed test case.

Subject: [24.0.50] end-of-buffer cursor position with an overlay
From: Tetsuo Tsukamoto <[email-masked]>
To: [email-masked]
Date: Wed, 21 Jul 2010 17:59:23 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Emacs 24.0.50 displays end-of-buffer cursor at different position
from where Emacs 23 does when there is an overlay at eob with
before- or after-string.

Emacs 24.0.50:

o  $ emacs -Q
   Then point is at eob.

o  M-: (overlay-put (make-overlay (point) (point)) 'before-string "?")
   Then cursor is placed on "?".
   (cursor position is indicated with [ and ])

   0) [?]

o  Typing x (or any other char) twice results in the following
   behavior.

   1) [?]x   2) ?xx[]

Emacs 24.0.50, point not at eob:

   0) ?[]   1) ?x[]    2) ?xx[]

Emacs 23.2, point at eob or not at eob:

   0) ?[]   1) ?x[]    2) ?xx[]

So only Emacs 24.0.50 with point at eob displays cursor
differently relative to an overlay placed at eob.

-- 
Tetsuo Tsukamoto